Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2754313002: [Home] Record some user actions for the Chrome Home BottomSheet (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months, 1 week ago by Theresa
Modified:
5 months ago
Reviewers:
mdjones, gone, Steven Holte
CC:
chromium-reviews, asanka, ntp-dev+reviews_chromium.org, tfarina, browser-components-watch_chromium.org, noyau+watch_chromium.org, asvitkine+watch_chromium.org, agrieve+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Home] Record some user actions for the Chrome Home BottomSheet Record user actions for: * Android.ChromeHome.Closed * Android.ChromeHome.FullState * Android.ChromeHome.HalfState * Android.ChromeHome.Opened * Android.ChromeHome.ShowBookmarks * Android.ChromeHome.ShowDownloads * Android.ChromeHome.ShowHistory * Android.ChromeHome.ShowSuggestions BUG=700589 Review-Url: https://codereview.chromium.org/2754313002 Cr-Commit-Position: refs/heads/master@{#458229} Committed: https://chromium.googlesource.com/chromium/src/+/09e0b1fd3049d3cb92f20cd443cb02f6dab1221c

Patch Set 1 #

Patch Set 2 : [Home] Record some user actions for the Chrome Home BottomSheet #

Total comments: 9

Patch Set 3 : Update tests #

Total comments: 4

Patch Set 4 : mdjones@ review #

Patch Set 5 : Move early return to BottomSheet #

Total comments: 14

Patch Set 6 : dfalcantara@ review #

Total comments: 2

Patch Set 7 : [Home] Record some user actions for the Chrome Home BottomSheet #

Unified diffs Side-by-side diffs Delta from patch set Stats (+288 lines, -82 lines) Patch
M chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java View 1 2 3 2 chunks +6 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/download/DownloadSheetContent.java View 1 2 3 2 chunks +6 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/history/HistorySheetContent.java View 1 2 3 2 chunks +6 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/suggestions/SuggestionsBottomSheetContent.java View 1 2 3 2 chunks +7 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/toolbar/BottomToolbarPhone.java View 1 2 3 3 chunks +36 lines, -39 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheet.java View 1 2 3 4 5 6 9 chunks +29 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetContentController.java View 1 2 3 5 chunks +53 lines, -43 lines 0 comments Download
A chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetMetrics.java View 1 2 3 4 5 1 chunk +62 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetObserver.java View 1 2 3 2 chunks +15 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/EmptyBottomSheetObserver.java View 2 chunks +8 lines, -0 lines 0 comments Download
M chrome/android/java_sources.gni View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetObserverTest.java View 1 2 2 chunks +7 lines, -0 lines 0 comments Download
M tools/metrics/actions/actions.xml View 1 1 chunk +52 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 42 (29 generated)
Theresa
ptal https://codereview.chromium.org/2754313002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetContentController.java File chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetContentController.java (right): https://codereview.chromium.org/2754313002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetContentController.java#newcode130 chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetContentController.java:130: public void onSheetContentChanged(BottomSheetContent newContent) {} I'm considering making ...
5 months, 1 week ago (2017-03-17 16:07:12 UTC) #6
mdjones
https://codereview.chromium.org/2754313002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetContentController.java File chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetContentController.java (right): https://codereview.chromium.org/2754313002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetContentController.java#newcode130 chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetContentController.java:130: public void onSheetContentChanged(BottomSheetContent newContent) {} On 2017/03/17 16:07:12, Theresa ...
5 months, 1 week ago (2017-03-17 18:17:27 UTC) #11
Theresa
https://codereview.chromium.org/2754313002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetMetrics.java File chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetMetrics.java (right): https://codereview.chromium.org/2754313002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetMetrics.java#newcode34 chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetMetrics.java:34: if (!mIsSheetOpen) return; On 2017/03/17 18:17:26, mdjones wrote: > ...
5 months, 1 week ago (2017-03-17 20:26:30 UTC) #16
mdjones
https://codereview.chromium.org/2754313002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetMetrics.java File chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetMetrics.java (right): https://codereview.chromium.org/2754313002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetMetrics.java#newcode34 chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetMetrics.java:34: if (!mIsSheetOpen) return; On 2017/03/17 20:26:30, Theresa wrote: > ...
5 months, 1 week ago (2017-03-17 21:53:32 UTC) #19
Theresa
https://codereview.chromium.org/2754313002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetMetrics.java File chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetMetrics.java (right): https://codereview.chromium.org/2754313002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetMetrics.java#newcode34 chrome/android/java/src/org/chromium/chrome/browser/widget/bottomsheet/BottomSheetMetrics.java:34: if (!mIsSheetOpen) return; On 2017/03/17 21:53:32, mdjones wrote: > ...
5 months, 1 week ago (2017-03-17 22:55:25 UTC) #22
mdjones
lgtm!
5 months, 1 week ago (2017-03-17 23:07:16 UTC) #23
Theresa
+dfalcantara@ for general OWNERS +holte@ for actions.xml
5 months ago (2017-03-20 15:22:53 UTC) #27
Steven Holte
lgtm
5 months ago (2017-03-20 19:34:56 UTC) #28
gone
https://codereview.chromium.org/2754313002/diff/80001/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java File chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java (right): https://codereview.chromium.org/2754313002/diff/80001/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java#newcode58 chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java:58: public int getType() { Does it work if you ...
5 months ago (2017-03-20 20:29:32 UTC) #29
Theresa
https://codereview.chromium.org/2754313002/diff/80001/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java File chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java (right): https://codereview.chromium.org/2754313002/diff/80001/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java#newcode58 chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java:58: public int getType() { On 2017/03/20 20:29:31, dfalcantara (load ...
5 months ago (2017-03-20 20:59:12 UTC) #30
gone
lgtm https://codereview.chromium.org/2754313002/diff/80001/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java File chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java (right): https://codereview.chromium.org/2754313002/diff/80001/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java#newcode58 chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java:58: public int getType() { On 2017/03/20 20:59:12, Theresa ...
5 months ago (2017-03-20 21:04:52 UTC) #33
Theresa
https://codereview.chromium.org/2754313002/diff/80001/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java File chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java (right): https://codereview.chromium.org/2754313002/diff/80001/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java#newcode58 chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSheetContent.java:58: public int getType() { On 2017/03/20 21:04:52, dfalcantara (load ...
5 months ago (2017-03-20 21:22:53 UTC) #35
commit-bot: I haz the power
5 months ago (2017-03-20 23:19:52 UTC) #42
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/09e0b1fd3049d3cb92f20cd443cb...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b